#ifndef _TABLE_READER_H_
#define _TABLE_READER_H_

class TableReader
{
  public:
	TableReader();
	~TableReader();

	MStatus Load( char *fileName );
	float LookUp( float x, float y );

  private:
	unsigned int xResolution, yResolution;
	float xBegin, xEnd, yBegin, yEnd;

	float **table;
};

#endif // _TABLE_READER_H_
